#!/bin/bash

set -x

echo 602 >> /tmp/pear_update.log

rm -f /etc/init.d/pear_init
rm -f /etc/rc3.d/S14pear_init
rm -f /etc/rc5.d/S14pear_init
rm -f /etc/rcS.d/K14pear_init

# 修复rc相关符号链接
/etc/pear/pear_update/rc_repair.sh

# 安装pear_init.sh
install -v -m 755 /root/pear/init/pear_init.sh /etc/init.d/

# 安装xc_cdn.sh
install -v -m 755 /root/pear/init/xc_cdn.sh /etc/init.d/

# 创建systemd服务
# cp /root/pear/service/xc_cdn.service /etc/systemd/system/

# 添加openssl库链接路径
if [ ! -f /etc/ld.so.conf.d/x86_64-linux-gnu.conf ] || [ $(cat /etc/ld.so.conf.d/x86_64-linux-gnu.conf | grep "/usr/lib/x86_64-linux-gnu" | wc -l ) -eq 0 ]; then
    echo "/usr/lib/x86_64-linux-gnu/" > /etc/ld.so.conf.d/x86_64-linux-gnu.conf
    ldconfig
fi

# 重载systemd
systemctl daemon-reload

# 设置pear_init服务开机自启
systemctl enable pear_init.service

# 重启pear_init服务
# systemctl restart pear_init.service

# 设置xc_cdn服务开机自启
systemctl enable xc_cdn.service

# 重启xc_cdn服务(已注释，交给pear_update负责重启)
# systemctl restart xc_cdn.service
